error during install Babylon

UI Components for Vue
Post Reply
effedam
Posts: 3
Joined: 13 Sep 2022, 16:33

13 Sep 2022, 21:50

I bought the Babylon Template, but I have problem during

Code: Select all

npm install
below the error reportm can you help me?
Thank you

Code: Select all

# npm resolution error report

2022-09-13T19:38:18.011Z

While resolving: @vue/cli-plugin-eslint@5.0.8
Found: eslint@6.8.0
node_modules/eslint
  dev eslint@"^6.7.2" from the root project
  peer eslint@">= 4.12.1" from babel-eslint@10.1.0
  node_modules/babel-eslint
    dev babel-eslint@"^10.0.1" from the root project
  peer eslint@"^6.2.0 || ^7.0.0 || ^8.0.0" from eslint-plugin-vue@7.20.0
  node_modules/eslint-plugin-vue
    dev eslint-plugin-vue@"^7.0.0-0" from the root project
  peer eslint@">=5.0.0" from vue-eslint-parser@7.11.0
  node_modules/vue-eslint-parser
    vue-eslint-parser@"^7.10.0" from eslint-plugin-vue@7.20.0
    node_modules/eslint-plugin-vue
      dev eslint-plugin-vue@"^7.0.0-0" from the root project

Could not resolve dependency:
peer eslint@">=7.5.0" from @vue/cli-plugin-eslint@5.0.8
node_modules/@vue/cli-plugin-eslint
  dev @vue/cli-plugin-eslint@"^5.0.8" from the root project

Conflicting peer dependency: eslint@8.23.1
node_modules/eslint
  peer eslint@">=7.5.0" from @vue/cli-plugin-eslint@5.0.8
  node_modules/@vue/cli-plugin-eslint
    dev @vue/cli-plugin-eslint@"^5.0.8" from the root project

Fix the upstream dependency conflict, or retry
this command with --force, or --legacy-peer-deps
to accept an incorrect (and potentially broken) dependency resolution.

bahadirsofuoglu
Posts: 4
Joined: 06 Sep 2022, 08:59

16 Sep 2022, 11:17

Hi,
Could you try npm i --legacy-peer-deps? I think this solves the issue. Then you can change versions if you want

effedam
Posts: 3
Joined: 13 Sep 2022, 16:33

16 Sep 2022, 12:42

bahadirsofuoglu wrote:
16 Sep 2022, 11:17
Hi,
Could you try npm i --legacy-peer-deps? I think this solves the issue. Then you can change versions if you want
Thank you, I solved using yarn to install the package, now it works
Thank you

Post Reply

Return to “PrimeVue”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 3 guests